version: '3.7'

services:
  postgres-backup:
    image: ${IMAGE_NAME:-registry.gitlab.com/cabildo-tf/vente/database/base/backup-db/master}:${IMAGE_TAG:-latest}
    environment:
      - POSTGRES_USER
      - POSTGRES_PASSWORD
      - POSTGRES_DB
      - POSTGRES_HOSTNAME
      - PUSHGATEWAY_HOST
      - PUSHGATEWAY_JOB
      - NUM_OF_BACKUPS_TO_KEEP
    networks:
      - postgres-vente-net
      - monitoring-net
    volumes:
      - postgres-vente-backup-vol:/data
    deploy:
      mode: replicated
      replicas: 0
      restart_policy:
        condition: none
      resources:
        limits:
          cpus: '0.5'
          memory: 1024M
        reservations:
          cpus: '0.25'
          memory: 410M
      labels:
        swarm.cronjob.enable: ${CRON_ENABLE:-true}
        swarm.cronjob.schedule: '${CRON_SCHEDULE:-@midnight}'
        swarm.cronjob.skip-running: ${CRON_SKIP_RUNNING:-false}

networks:
  monitoring-net:
    name: ${MONITORING_NET_NAME:-monitoring-net}
    driver: ${MONITORING_NET_DRIVER:-overlay}
    external: true

  postgres-vente-net:
    name: ${POSTGRES_VENTE_NET_NAME:-postgres-vente-net}
    driver: overlay
    external: true

volumes:
  postgres-vente-backup-vol:
    name: ${POSTGRES_VENTE_BACKUP_VOLUME_NAME:-postgres-vente-backup-vol}
    driver_opts:
      type: ${NFS_VOL_TYPE}
      o: ${NFS_VOL_OPTIONS}
      device: ${NFS_VOL_POSTGRES_BACKUP_VENTE_DEVICE}
